// flsmsg.cpp : implementation file
//

#include "stdafx.h"
#include "flsrom.h"
#include "flsmsg.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFlsMsg dialog


CFlsMsg::CFlsMsg(CWnd* pParent /*=NULL*/)
	: CDialog(CFlsMsg::IDD, pParent)
{                  
	m_strText="  ";
	//{{AFX_DATA_INIT(CFlsMsg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CFlsMsg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFlsMsg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFlsMsg, CDialog)
	//{{AFX_MSG_MAP(CFlsMsg)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CFlsMsg message handlers

BOOL CFlsMsg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	CRect rect;
	GetWindowRect(&rect);
	int x,y;
	x=(::GetSystemMetrics(SM_CXSCREEN)-rect.Width() )/2;
	y=(::GetSystemMetrics(SM_CYSCREEN)-rect.Height() )/2;
	SetWindowPos( &wndTop,x,y,0,0,SWP_NOSIZE);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CFlsMsg::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	CRect rect;
	GetClientRect(&rect);
    rect.InflateRect(-7,-7); 
    dc.SetBkMode(TRANSPARENT);
	dc.DrawText((m_strText),m_strText.GetLength(),&rect,DT_WORDBREAK|DT_LEFT|DT_TOP); 
	// Do not call CDialog::OnPaint() for painting messages
}
